// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    repositories {
        jcenter()
        google()
        //引入当前工程本地repo下面的aop插件
        maven{
            url uri("/repo")
        }
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.3.3'
        classpath 'com.jakewharton:butterknife-gradle-plugin:+'
        classpath 'com.neenbedankt.gradle.plugins:android-apt:+'
        classpath 'org.greenrobot:greendao-gradle-plugin:3.1.0'
        //引入aop插件
        classpath 'com.aop.plugin:aop-plugin:1.0.0'
//        classpath 'com.didi.virtualapk:gradle:0.9.1'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

def isReleaseBuild() {
    return version.contains("SNAPSHOT") == false
}
allprojects {
    repositories {
        maven{ url 'http://maven.aliyun.com/nexus/content/groups/public/'}
        maven { url 'https://raw.githubusercontent.com/MDL-Sinlov/MDL-Android-Repo/master/mvn-repo/' }
        maven { url "https://github.com/KuaiFaMaster/kfsdk/raw/master" }
        jcenter()
        maven { url "https://jitpack.io" }
        google()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}


ext{
    android = [
            compileSdkVersion:27,
            minSdkVersion:15,
            targetSdkVersion:27,
            buildToolsVersion:'27.0.2',
            /**
             * app-module
             */
            versionCode_app:1,
            versionName_app:"1.0",
            /**
             * kfzslibrary-module
             */
            versionCode_kfzslibrary:1,
            versionName_kfzslibrary:"1.0",

    ]

    dependencies = [
            support_appcompat_v7:'com.android.support:appcompat-v7:27.0.2',
            support_constraint_layout:'com.android.support.constraint:constraint-layout:1.0.2',
            recyclerview:'com.android.support:recyclerview-v7:27.0.2',
            /**
             * butterknife注解
             */
            butterknife:'com.jakewharton:butterknife:8.6.0',
            butterknife_compiler:'com.jakewharton:butterknife-compiler:8.6.0',
            /**
             * rxjava
             */
            rxbinding:'com.jakewharton.rxbinding:rxbinding:1.0.0',
            rxjava:'io.reactivex:rxjava:1.2.4',
            /**
             * rxandroid
             */
            rxandroid: 'io.reactivex:rxandroid:1.2.1',
            /**
             * retrofit
             */
            retrofit2: 'com.squareup.retrofit2:retrofit:2.4.0',
            retrofit2_converter_gson: 'com.squareup.retrofit2:converter-gson:2.4.0',
            okhttp3_logging_interceptor: 'com.squareup.okhttp3:logging-interceptor:3.10.0',
            retrofit2_adapter_rxjava: 'com.squareup.retrofit2:adapter-rxjava:2.1.0',
            /**
             * GSON
             */
            gson:'com.google.code.gson:gson:2.8.2',
            /**
             * Dagger
             */
            javax_annotation:'org.glassfish:javax.annotation:10.0-b28',
            dagger:'com.google.dagger:dagger:2.12',
            dagger_compiler:'com.google.dagger:dagger-compiler:2.12'
    ]




    androidConfigs = rootProject.ext.android
    dependenciesLibs = rootProject.ext.dependencies
}